package enverstest.model;

import java.util.HashMap;
import java.util.Map;

import org.hibernate.envers.Audited;

@Audited
public class Category 
{
	private Long id;
	private String name;
	
	private Map<Item, Value> categoryItem = new HashMap<>();
	
	Category(){	}

	public Category (String name)
	{
		this.name = name;
	}
	
	public Long getId()
	{
		return id;
	}
	
	public String getName()
	{
		return name;
	}
	
	public void setName(String name)
	{
		this.name = name;
	}
	
	public Map<Item, Value> getCategoryItem()
	{
		return categoryItem;
	}
	
	public void setValue(Item key, Value value)
	{
		categoryItem.put(key, value);
	}
	
	public Value getValue(Item key)
	{
		return categoryItem.get(key);
	}
}
